Experimental
GetNetworkPolicies returns effective and exact views of the same installed generation.
GET
/v1/network-policies GetNetworkPolicies returns effective and exact views of the same installed generation.
Connection and access
API connection and authentication guidance
https://connect.docker.com/sandboxes
—
The API base URL. Append the /v1 paths while preserving this URL's path prefix.
Use one of these alternatives. Requirements within an alternative apply together.
bearer
Parameters
No parameters are declared.
Request and responses
Response
200
Success
application/json
Schema:
GetNetworkPoliciesResponse
Response
default
The structured Error body identifies the failure with a stable code and optional typed details.
application/json
Schema:
Error
Schema example
{
"code": "notFound",
"details": [],
"message": "sandbox not found"
}Referenced schemas
#/components/schemas/GetNetworkPoliciesResponse
Complete operation contract
{
"description": "GetNetworkPolicies returns effective and exact views of the same installed generation.",
"operationId": "getNetworkPoliciesInOwnerScope",
"parameters": [],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/GetNetworkPoliciesResponse"
}
}
},
"description": "Success"
},
"default": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "The structured Error body identifies the failure with a stable code and optional typed details."
}
},
"security": [
{
"bearer": []
}
],
"summary": "GetNetworkPolicies returns effective and exact views of the same installed generation.",
"tags": [
"Network policies"
],
"x-sbx-authenticated-only": false,
"x-sbx-conditional-permissions": [],
"x-sbx-plane": "control",
"x-sbx-required-permissions": [
"networkPoliciesRead"
],
"x-sbx-serving-surface": "management"
}